USN-4611-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-4611-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-4611-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-4611-1
Related
Published
2020-11-02T13:56:36.624229Z
Modified
2020-11-02T13:56:36.624229Z
Summary
samba vulnerabilities
Details

Steven French discovered that Samba incorrectly handled ChangeNotify permissions. A remote attacker could possibly use this issue to obtain file name information. (CVE-2020-14318)

Bas Alberts discovered that Samba incorrectly handled certain winbind requests. A remote attacker could possibly use this issue to cause winbind to crash, resulting in a denial of service. (CVE-2020-14323)

Francis Brosnan Blázquez discovered that Samba incorrectly handled certain invalid DNS records. A remote attacker could possibly use this issue to cause the DNS server to crash, resulting in a denial of service. (CVE-2020-14383)

References

Affected packages

Ubuntu:18.04:LTS / samba

Package

Name
samba

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:4.7.6+dfsg~ubuntu-0ubuntu2.21

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libwbclient-dev": "2:4.7.6+dfsg~ubuntu-0ubuntu2.21",
            "python-samba": "2:4.7.6+dfsg~ubuntu-0ubuntu2.21",
            "registry-tools": "2:4.7.6+dfsg~ubuntu-0ubuntu2.21",
            "samba-common-bin": "2:4.7.6+dfsg~ubuntu-0ubuntu2.21",
            "samba-dsdb-modules": "2:4.7.6+dfsg~ubuntu-0ubuntu2.21",
            "samba-libs": "2:4.7.6+dfsg~ubuntu-0ubuntu2.21",
            "ctdb": "2:4.7.6+dfsg~ubuntu-0ubuntu2.21",
            "winbind": "2:4.7.6+dfsg~ubuntu-0ubuntu2.21",
            "samba-vfs-modules": "2:4.7.6+dfsg~ubuntu-0ubuntu2.21",
            "libnss-winbind": "2:4.7.6+dfsg~ubuntu-0ubuntu2.21",
            "samba-common": "2:4.7.6+dfsg~ubuntu-0ubuntu2.21",
            "libpam-winbind": "2:4.7.6+dfsg~ubuntu-0ubuntu2.21",
            "smbclient": "2:4.7.6+dfsg~ubuntu-0ubuntu2.21",
            "samba-testsuite": "2:4.7.6+dfsg~ubuntu-0ubuntu2.21",
            "samba-dev": "2:4.7.6+dfsg~ubuntu-0ubuntu2.21",
            "libparse-pidl-perl": "2:4.7.6+dfsg~ubuntu-0ubuntu2.21",
            "libsmbclient": "2:4.7.6+dfsg~ubuntu-0ubuntu2.21",
            "samba": "2:4.7.6+dfsg~ubuntu-0ubuntu2.21",
            "libwbclient0": "2:4.7.6+dfsg~ubuntu-0ubuntu2.21",
            "libsmbclient-dev": "2:4.7.6+dfsg~ubuntu-0ubuntu2.21"
        }
    ]
}

Ubuntu:20.04:LTS / samba

Package

Name
samba

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:4.11.6+dfsg-0ubuntu1.6

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libwbclient-dev": "2:4.11.6+dfsg-0ubuntu1.6",
            "samba-libs": "2:4.11.6+dfsg-0ubuntu1.6",
            "samba-dsdb-modules": "2:4.11.6+dfsg-0ubuntu1.6",
            "samba-common-bin": "2:4.11.6+dfsg-0ubuntu1.6",
            "python3-samba": "2:4.11.6+dfsg-0ubuntu1.6",
            "registry-tools": "2:4.11.6+dfsg-0ubuntu1.6",
            "ctdb": "2:4.11.6+dfsg-0ubuntu1.6",
            "libnss-winbind": "2:4.11.6+dfsg-0ubuntu1.6",
            "samba-vfs-modules": "2:4.11.6+dfsg-0ubuntu1.6",
            "winbind": "2:4.11.6+dfsg-0ubuntu1.6",
            "samba-common": "2:4.11.6+dfsg-0ubuntu1.6",
            "libpam-winbind": "2:4.11.6+dfsg-0ubuntu1.6",
            "smbclient": "2:4.11.6+dfsg-0ubuntu1.6",
            "samba-testsuite": "2:4.11.6+dfsg-0ubuntu1.6",
            "samba-dev": "2:4.11.6+dfsg-0ubuntu1.6",
            "libsmbclient": "2:4.11.6+dfsg-0ubuntu1.6",
            "samba": "2:4.11.6+dfsg-0ubuntu1.6",
            "libwbclient0": "2:4.11.6+dfsg-0ubuntu1.6",
            "libsmbclient-dev": "2:4.11.6+dfsg-0ubuntu1.6"
        }
    ]
}

Ubuntu:16.04:LTS / samba

Package

Name
samba

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:4.3.11+dfsg-0ubuntu0.16.04.32

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libwbclient-dev": "2:4.3.11+dfsg-0ubuntu0.16.04.32",
            "python-samba": "2:4.3.11+dfsg-0ubuntu0.16.04.32",
            "registry-tools": "2:4.3.11+dfsg-0ubuntu0.16.04.32",
            "samba-common-bin": "2:4.3.11+dfsg-0ubuntu0.16.04.32",
            "samba-dsdb-modules": "2:4.3.11+dfsg-0ubuntu0.16.04.32",
            "samba-libs": "2:4.3.11+dfsg-0ubuntu0.16.04.32",
            "ctdb": "2:4.3.11+dfsg-0ubuntu0.16.04.32",
            "winbind": "2:4.3.11+dfsg-0ubuntu0.16.04.32",
            "samba-vfs-modules": "2:4.3.11+dfsg-0ubuntu0.16.04.32",
            "libnss-winbind": "2:4.3.11+dfsg-0ubuntu0.16.04.32",
            "samba-common": "2:4.3.11+dfsg-0ubuntu0.16.04.32",
            "libpam-winbind": "2:4.3.11+dfsg-0ubuntu0.16.04.32",
            "smbclient": "2:4.3.11+dfsg-0ubuntu0.16.04.32",
            "samba-testsuite": "2:4.3.11+dfsg-0ubuntu0.16.04.32",
            "samba-dev": "2:4.3.11+dfsg-0ubuntu0.16.04.32",
            "libparse-pidl-perl": "2:4.3.11+dfsg-0ubuntu0.16.04.32",
            "libsmbclient": "2:4.3.11+dfsg-0ubuntu0.16.04.32",
            "samba": "2:4.3.11+dfsg-0ubuntu0.16.04.32",
            "libwbclient0": "2:4.3.11+dfsg-0ubuntu0.16.04.32",
            "libsmbclient-dev": "2:4.3.11+dfsg-0ubuntu0.16.04.32"
        }
    ]
}